#
# spec file for package python-netifaces
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2011 Novell
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-netifaces
Version:        0.10.4
Release:        8.3
Summary:        Portable network interface information
License:        MIT
Group:          Development/Languages/Python
Url:            http://alastairs-place.net/projects/netifaces/
Source:         https://pypi.python.org/packages/source/n/netifaces/netifaces-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Provides:       netifaces
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitearch: %global python_sitearch %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%endif

%description
netifaces provides a (hopefully portable-ish) way for Python programmers to
get access to a list of the network interfaces on the local machine, and to
obtain the addresses of those network interfaces.

The package has been tested on Mac OS X, Windows XP, Windows Vista, Linux and
Solaris. On Windows, it is currently not able to retrieve IPv6 addresses,
owing to shortcomings of the Windows API.

It should work on other UNIX-like systems provided they implement either
getifaddrs() or support the SIOCGIFxxx socket options, although the data
provided by the socket options is normally less complete.

%prep
%setup -q -n netifaces-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc README.rst
%{python_sitearch}/*

%changelog
* Tue Mar 31 2015 tbechtold@suse.com
- Update to 0.10.4:
  + Various small fixes
  + When using Netlink (i.e. Linux), check for the constant
    NLM_F_DUMP_INTR, since it only appeared in kernel version 3.1
  + Added a workaround for broken netlink headers on certain Linux
    distributions (the problem being that the netlink headers fail to
    include <bits/sockaddr.h>, which causes a build failure).
  + Fixed a problem with the gateways() function that caused it a
    crash on PyPy.
  + The CI system is now set up to build for PyPy as well, so
    problems will be found sooner.
  + Python 3 compatibility.
  + Improved Windows source code compatibility.
  + Added gateway detection via gateways() function.
  + New version number format (skipped 0.9.0 due to its use by
    the netifaces-merged fork).
- FATE#318148, bsc#917053
- Update Url and Source in spec file
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Mon Jun 25 2012 saschpe@suse.de
- Update to version 0.8:
  + Fixed bit-rot in the ioctl() code path.
  + Fixed a problem with setup.py that might manifest itself if the
    config.cache file was manually edited.
  + Fixed the ioctl() code path to cope with systems that have sa_len and
    return longer than normal struct ifreq results from SIOCG[L]IFCONF;
* Fri Jun 15 2012 saschpe@suse.de
- Update to version 0.6:
  + Added a workaround for a FreeBSD kernel bug (kern/152036).
  + Added address_families dictionary to allow code to look up the symbolic
    name corresponding to a given numeric address family code.
* Mon Jun 11 2012 saschpe@suse.de
- Spec header cleanup
* Tue Nov 29 2011 saschpe@suse.de
- Minor cleanup
* Thu Jan 27 2011 rschweikert@novell.com
- Initial build to meet swift dependency requirement
